<?php
# Load the Mapscript module
if( ! extension_loaded("MapScript") ) {
  dl("php_mapscript.so");
}

include('lat_long_fcn.inc');
$user = "postgres";
$pass = "postgres";
$host = "ox";
$port = "5555";
$db_name = "postgis_usage";



 //--------------------------------------------------------
 //IF we are getting a new project submitted, insert that row in the database
 if( $new_point == 1){
  $db = pg_connect("host=$host port=$port dbname=$db_name user=$user password=$pass");

  if ($db == FALSE) {
         die ($db->getMessage());
  }
  $sql = "Insert into usage_points values('$project', '$org', '$contact_name', 
              '$contact_email','$records', GeometryFromText('POINT($longitude $latitude)',-1))";

  if( pg_exec($db,$sql) == FALSE ){
	echo $sql;
	echo "<br>Insertion of Your project failed.";
  }
  pg_close($db);
 }



 $pt = ms_newPointObj();
 $pt->setXY($img_x,$img_y);


 $map =  ms_newMapObj( "display.map" );

 $rect = ms_newRectObj();
 $rect = $map->extent;

//set extent from last time;
if(sizeof($action) >0){
        $map->setextent($ext_a,$ext_b,$ext_c,$ext_d);
        $rect = $map->extent;
}

//------------------------------------------------
//decide what to do with the action given
if($action =="Zoom In"){

        $map->zoompoint(5,$pt,700,350,$rect);
	$missby = ((abs($rect->minx) + abs($rect->maxx) ) / 750 )* 2;
}else if($action == "Zoom Out"){
        $map->zoompoint(-5,$pt,700,350,$rect);
}else if($action == "Center"){
        $map->zoompoint(1,$pt,700,350,$rect);
}else if($action == "Select Project"){
	$pt = ms_newPointObj();

	$lat = get_lat($map->extent->minx, $map->extent->maxx, $img_x, 700);
	$long = get_long($map->extent->miny, $map->extent->maxy, $img_y, 350);

	$pt->setXY($lat, $long);

	$layer = $map->getLayer(5);
	$err = @$layer->queryByPoint($pt, MS_MULTIPLE, $missby);
	if($err == MS_FAILURE){
	  echo "<font size=4 color=red>There were no results found, try zooming in closer.</font>";
	}else if( $err == MS_SUCCESS){
	  $layer->open($img->shapepath);

	  $i=0;
	  $result = $layer->getResult($i);
	  while($result != FALSE && $i < 5){
	    $shape = $layer->getShape($result->tileindex, $result->shapeindex);	
	    $value = $shape->values;
	    $val[$i] = $value;
	    $i++;
	    $result =  $layer->getResult($i);
	  }
	  $results_found =1;
	}
	$layer->close;
}

$rect = $map->extent;

$ext_a= $rect->minx;
$ext_b= $rect->miny;
$ext_c= $rect->maxx;
$ext_d= $rect->maxy;

$pt->free();

if( $action != "Select Project"){
	$img = $map->draw();

	$filename = "display" . time();

	$img->saveImage( $img->imagepath . $filename. ".gif", MS_GIF, 0, 0, -1);
}else{
	$filename = $oldfilename;
}
$layer->close;

?>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>PostGIS Usage Around the World</title>

  <SCRIPT language="JavaScript">
<?php 
if($results_found == 1){

    $i =0;
    while($val[$i] != NULL ){
	$open_command =  "window.open('query.php?org_name=" . $val[$i]['org_name'] . 
"&project_name=" . $val[$i]['project_name'] . "&contact_name=" . 
$val[$i]['contact_name'] . "&contact_email=" . $val[$i]['contact_email'] . 
"&num_records=" . $val[$i]['num_records'] . 
"','Results$i','scrollbars=yes,width=350,height=325');";
    $i++;
	$open_command = str_replace(" ", "%20", $open_command);
	echo $open_command;

    }
	

}
?>

  </SCRIPT>

  </head>

  <body bgcolor=#ffffff>
    <br>
    <center><font size=+2 face=arial,helvetica>PostGIS 
Usage Around the World</font></center>
    <p>


    <center>
    <table border=1 cellpadding=0>
    <tr>
    <td align=center>
      <br>
      <form name=theform action=main.php method=POST>
 	<input type=hidden value=<?php echo $ext_a;?>  name ="ext_a">
 	<input type=hidden value=<?php echo $ext_b;?>  name ="ext_b">
 	<input type=hidden value=<?php echo $ext_c;?>  name ="ext_c">
 	<input type=hidden value=<?php echo $ext_d;?>  name ="ext_d">
 	<input type=hidden value=<?php echo $missby;?>  name ="missby">
 	<input type=hidden value=<?php echo $img->imageurl .$filename;?>  name 
="oldfilename">


	<input name=img type= image  width=700 height=350 name="img" src="
<?php echo $img->imageurl . $filename . ".gif"; ?>
	" border="0">
      
	<table border=0>
	  <tr>
	      <td width=100 align=center>
	       <input  type=radio  name=action value="Zoom In"
	<?php if(sizeof($action) ==0 || $action == "Zoom In")echo "checked=1"?>
	        ><br>Zoom In
	      </td>
	      <td width=100 align=center>
	       <input  type=radio  name=action value="Center"
	<?php if($action == "Center")echo "checked=1";?>
	        > <br>Center
	      </td>
	      <td width=100 align=center>
	       <input  type=radio  name=action value="Zoom Out"
	<?php if($action == "Zoom Out")echo "checked=1";?>
	        > <br>Zoom Out
	      </td>
	      <td width = 100 align=center>
	       <input  type=radio  name=action value="Select Project"
	<?php if($action == "Select Project")echo "checked=1";?>
	        > <br>Select Project
	      </td>
	  </tr>
	</table>
      </form>

    </td>
    </tr>
   </table>
    <p>
	<a href="form.php"> Add Your PostGIS Project </a>

   </center>
  </body>
</html>


