<?php

# Load the Mapscript module
if( ! extension_loaded("MapScript") ) {
  dl("php_mapscript.so");
}
include('lat_long_fcn.inc');

$map =  ms_newMapObj( "addme.map" );

$img = $map->draw(); 

$filepath = $img->imagepath;
$filename = "addme" . $htmlmap_x . $htmlmap_y ;

$rect = ms_newRectObj();
$rect = $map->extent;

$pt = ms_newPointObj();
$pt->setXY($htmlmap_x,$htmlmap_y);


//set extent from last time;
if(sizeof($action) >0){
	$map->setextent($ext_a,$ext_b,$ext_c,$ext_d);	
	$rect = $map->extent;
}

if($action =="Zoom In"){
//	echo "extents :" . $rect->minx ."<br>";
//	echo $rect->miny ."<br>";
//	echo $rect->maxx ."<br>";
//	echo $rect->maxy ."<br>";
//	echo $pt->x . "<br>";
//	echo $pt->y . "<br>";
	$map->zoompoint(5,$pt,400,400,$rect);
	unlink($oldfile . ".gif");
	
}else if($action == "Zoom Out"){
	$map->zoompoint(-5,$pt,400,400,$rect);
	unlink($oldfile . ".gif");
}else if($action == "Center"){
	$map->zoompoint(1,$pt,400,400,$rect);
	unlink($oldfile . ".gif");
}else if($action == "Select Location"){
	$lat= get_lat($ext_a, $ext_c,$htmlmap_x, 400);	
	$long= get_long($ext_b, $ext_d,$htmlmap_y, 400);	

	$line = ms_newLineObj();
	$line->addXY($lat,$long);

	$shape =  ms_newShapeObj(MS_SHAPE_POINT);
	$shape->add($line);

	$layer = $map->getLayer(5);
	$layer->addFeature($shape);
}

$rect = $map->extent;

$ext_a= $rect->minx;
$ext_b= $rect->miny;
$ext_c= $rect->maxx;
$ext_d= $rect->maxy;	

$img = $map->draw(); 
$img->saveImage($filepath.$filename. ".gif", MS_GIF, 0, 0, -1);


//----------------------------------------------------------------------
//JAVASCRIPT and HTML code follows here...
//----------------------------------------------------------------------
?>

<head> 
 <SCRIPT language="JavaScript">

<?php

//echo $HTTP_USER_AGENT;
if ( !strstr($HTTP_USER_AGENT,"MSIE") ) {
     // code to fix the page for netscape :)
        echo "window.innerHeight=600;";
        echo "window.innerWidth= 475;";
}


  if($action == "Select Location"){
  ?>

   opener.document.theform.elements[6].value = <?php echo $lat;?>;
   opener.document.theform.elements[7].value = <?php echo $long;?>;

 <?php
  }
  ?>
 </script>
</head>


<html>
<body>

 <form method="POST" action="map.php" name="theform">
 <input type=hidden value=1 name ="submit">
 <input type=hidden value='<?php echo $filepath .$filename ?>' name ="oldfile">
 <input type=hidden value=<?php echo $ext_a?>  name ="ext_a">
 <input type=hidden value=<?php echo $ext_b?>  name ="ext_b">
 <input type=hidden value=<?php echo $ext_c?>  name ="ext_c">
 <input type=hidden value=<?php echo $ext_d?>  name ="ext_d">
 

 <table border=0 cellpadding=0 cellspacing=0 width=410>
  <tr>
   <td colspan=6 bgcolor=blue height=5>
   </td>
  </tr>
  <tr>
   <td width=5 bgcolor=blue>
   </td>
   <td colspan=4 width=400 height=400>   
    <input type=image src='<?php echo $img->imageurl?>addme
<?php echo $htmlmap_x . $htmlmap_y?>
	.gif' name=htmlmap>
   </td>
   <td bgcolor=blue width=5>
   </td>

  </tr>
  <tr>
   <td colspan=6 bgcolor=blue height=5>
   </td>
  </tr>

  <tr>
   <td bgcolor=blue>
   </td>
   <td colspan=4>
    <center>
    <table border=0 with=100% >
     <tr>
      <td width=100 align=center>
       <input  type=radio  name=action value="Zoom In" 
<?php if(sizeof($action) ==0 || $action == "Zoom In")echo "checked=1"?>
	><br>Zoom In
      </td>
      <td width=100 align=center>
       <input  type=radio  name=action value="Center"
<?php if($action == "Center")echo "checked=1"?>
	> <br>Center
      </td>
      <td width=100 align=center>
       <input  type=radio  name=action value="Zoom Out"
<?php if($action == "Zoom Out")echo "checked=1"?>
	> <br>Zoom Out
      </td>
      <td width = 100 align=center>
       <input  type=radio  name=action value="Select Location"
<?php if($action == "Select Location")echo "checked=1"?>
	> <br>Select Location  
      </td>
     </tr>
     <tr>
      <td colspan=4 align=center>
       <input type=submit value="Done" onClick="window.close();">
      </td>
     </tr>
    </table>
   </td>
   <td bgcolor=blue>
   </td>
  </tr>
  <tr>
   <td colspan=6 bgcolor=blue height=5>
   </td>
  </tr>
  </table>
 </form> 

</body>
</html>


